<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    #{dataTableStateHolder.setAscendingOn('side')}
    <rich:dataTable id="tlsTestsTable" value="#{tests}" var="test" render="tlsDS"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}">
        <g:column sortBy="#{'side'}" sortOrder="#{dataTableStateHolder.sortOrders['side']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.TestedSide']}</ui:define>
            <h:outputText value="#{test.side.value}"/>
        </g:column>
        <g:column sortBy="#{'connectionType'}" sortOrder="#{dataTableStateHolder.sortOrders['connectionType']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.ConnectionType']}</ui:define>
            <h:outputText value="#{test.connectionType.friendlyName}"/>
        </g:column>
        <ui:insert name="moreColumns"/>
        <g:column sortBy="#{'status'}" sortOrder="#{dataTableStateHolder.sortOrders['status']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.Status']}</ui:define>
            <h:outputText value="#{test.status.value}"/>
        </g:column>

        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="tlsDS"/>
                <ui:param name="dataTableId" value="tlsTestsTable"/>
            </ui:include>
        </f:facet>

    </rich:dataTable>
</ui:composition>
